NullLogSystem (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.log.NullLogSystem class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Class NullLogSystem

    java.lang.Object
      org.apache.velocity.runtime.log.NullLogSystem

All Implemented Interfaces:
  LogSystem

public class NullLogSystem
extends java.lang.Object
implements LogSystem

Logger used in case of failure. Does nothing.

Version:
  $Id: NullLogSystem.java,v 1.1.10.1 2004/03/03 23:22:56 geirm Exp $
Author:
  Geir Magnusson Jr.

Field Summary

Fields inherited from interface org.apache.velocity.runtime.log.LogSystem
`DEBUG_ID, DEBUG_ON, ERROR_ID, INFO_ID, WARN_ID`

Constructor Summary
`NullLogSystem()`

Method Summary
`void` | `init(RuntimeServices rs)` init()
`void` | `logVelocityMessage(int level, java.lang.String message)` logs messages to the great Garbage Collector in the sky

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullLogSystem

    public NullLogSystem()

Method Detail

### init

    public void init(RuntimeServices rs)
              throws java.lang.Exception

  Description copied from interface: `LogSystem`
  init()

  Specified by:
    `init` in interface `LogSystem`
  Throws:
    `java.lang.Exception`

### logVelocityMessage

    public void logVelocityMessage(int level,
                                   java.lang.String message)

  logs messages to the great Garbage Collector in the sky

  Specified by:
    `logVelocityMessage` in interface `LogSystem`
  Parameters:
    `level` - severity level
    `message` - complete error message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.